using System;
using System.Collections.Generic;
using System.Text;

namespace Motion6D
{
    public abstract class PositionObjectFactory
    {
        static private PositionObjectFactory factory;


        public static PositionObjectFactory Factory
        {
            get
            {
                return factory;
            }
            set
            {
                factory = value;
            }
        }

        public abstract object CreateObject(string type);


        public abstract Camera NewCamera();


        public abstract object CreateForm(Camera camera);

        public abstract object CreateForm(IPosition position, IVisible visible);
        

        public abstract string CameraType
        {
            get;
        }
        
/*        public abstract string ObjectType
        {
            get;
        }*/
    }
}
